Package org.apache.sysds.runtime.controlprogram.paramserv

# Class NetworkTrafficCounter

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
io.netty.channel.ChannelDuplexHandler
io.netty.handler.traffic.AbstractTrafficShapingHandler
io.netty.handler.traffic.ChannelTrafficShapingHandler
org.apache.sysds.runtime.controlprogram.paramserv.NetworkTrafficCounter

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`, `io.netty.channel.ChannelOutboundHandler`

public class NetworkTrafficCounter extends io.netty.handler.traffic.ChannelTrafficShapingHandler

## Nested Class Summary

## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

## Field Summary

### Fields inherited from class io.netty.handler.traffic.AbstractTrafficShapingHandler

`DEFAULT_CHECK_INTERVAL, DEFAULT_MAX_TIME`

## Constructor Summary

Constructors
Constructor
Description
`NetworkTrafficCounter(BiConsumer<Long,Long> fn)`

## Method Summary

Modifier and Type
Method
Description
`void`
`channelInactive(io.netty.channel.ChannelHandlerContext ctx)`

### Methods inherited from class io.netty.handler.traffic.ChannelTrafficShapingHandler

`handlerAdded, handlerRemoved, queueSize`

### Methods inherited from class io.netty.handler.traffic.AbstractTrafficShapingHandler

`channelRead, channelRegistered, configure, configure, configure, getCheckInterval, getMaxTimeWait, getMaxWriteDelay, getMaxWriteSize, getReadLimit, getWriteLimit, read, setCheckInterval, setMaxTimeWait, setMaxWriteDelay, setMaxWriteSize, setReadLimit, setWriteLimit, toString, trafficCounter, write`

### Methods inherited from class io.netty.channel.ChannelDuplexHandler

`bind, close, connect, deregister, disconnect, flush`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelReadComplete, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`isSharable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NetworkTrafficCounter

public NetworkTrafficCounter(BiConsumer<Long,Long> fn)

## Method Details

### channelInactive

public void channelInactive(io.netty.channel.ChannelHandlerContext ctx) throws Exception

Specified by:
  `channelInactive` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `channelInactive` in class `io.netty.channel.ChannelInboundHandlerAdapter`
Throws:
  `Exception`